/* Note: This file does not contain any actual code, it only contains top-level doxygen grouping comments */



/**
*  \defgroup pf-class             PF - Pure Mathematical Functions
*  @{
*    \defgroup pf-class-beginner        Beginner-Level API
*    \defgroup pf-class-intermediate    Intermediate-Level API
*    \defgroup pf-class-advanced        Advanced-Level API
*    \defgroup pf-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup is-class             IS - Index Sets
*  @{
*    \defgroup is-class-beginner        Beginner-Level API
*    \defgroup is-class-intermediate    Intermediate-Level API
*    \defgroup is-class-advanced        Advanced-Level API
*    \defgroup is-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup vec-class             Vec - Vectors
*  @{
*    \defgroup vec-class-beginner        Beginner-Level API
*    \defgroup vec-class-intermediate    Intermediate-Level API
*    \defgroup vec-class-advanced        Advanced-Level API
*    \defgroup vec-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup mat-class             Mat - Matrices
*  @{
*    \defgroup mat-class-beginner        Beginner-Level API
*    \defgroup mat-class-intermediate    Intermediate-Level API
*    \defgroup mat-class-advanced        Advanced-Level API
*    \defgroup mat-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup ksp-class             KSP - Linear Equation Solvers
*  @{
*    \defgroup ksp-class-beginner        Beginner-Level API
*    \defgroup ksp-class-intermediate    Intermediate-Level API
*    \defgroup ksp-class-advanced        Advanced-Level API
*    \defgroup ksp-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup pc-class             PC - Preconditioners and Direct Solvers
*  @{
*    \defgroup pc-class-beginner        Beginner-Level API
*    \defgroup pc-class-intermediate    Intermediate-Level API
*    \defgroup pc-class-advanced        Advanced-Level API
*    \defgroup pc-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup snes-class             SNES - Nonlinear Solvers
*  @{
*    \defgroup snes-class-beginner        Beginner-Level API
*    \defgroup snes-class-intermediate    Intermediate-Level API
*    \defgroup snes-class-advanced        Advanced-Level API
*    \defgroup snes-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup ts-class             TS - Scalable ODE and DAE Solvers
*  @{
*    \defgroup ts-class-beginner        Beginner-Level API
*    \defgroup ts-class-intermediate    Intermediate-Level API
*    \defgroup ts-class-advanced        Advanced-Level API
*    \defgroup ts-class-developer       Developer-Level API
*  @}
*/

/**
*  \defgroup dm-class             DM - Discretization Module
*  @{
*    \defgroup dm-class-beginner        Beginner-Level API
*    \defgroup dm-class-intermediate    Intermediate-Level API
*    \defgroup dm-class-advanced        Advanced-Level API
*    \defgroup dm-class-developer       Developer-Level API
*  @}
*/

/**
*
*  \defgroup misc-class             Miscellaneous Functionality
*  @{
*    \defgroup misc-class-beginner      Beginner-Level API
*    \defgroup misc-class-intermediate  Intermediate-Level API
*    \defgroup misc-class-advanced      Advanced-Level API
*    \defgroup misc-class-developer     Developer-Level API
*  @}
*/



/**
*
*  \mainpage Manuals
*
*   %PETSc, pronounced PET-see (the S is silent), is a suite of data structures and routines for the scalable (parallel) solution of scientific applications modeled by partial differential equations. It supports MPI, shared memory pthreads, and NVIDIA GPUs, as well as hybrid MPI-shared memory pthreads or MPI-GPU parallelism. 
*
* 
*  - \subpage usermanual "User Manual"
*  - \subpage devmanual "Developer Manual"
*  
*
*  
*
*/


